Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5117)
@@ -27,17 +27,17 @@
 
          ! inputs
-         integer ncas,ncum
-         integer cas(ncum)
-         real xtevap_cas(niso,ncum)
-         real xtp_cas(niso,ncum)
-         real xtwater_cas(niso,ncum)
-         integer izone
+         INTEGER ncas,ncum
+         INTEGER cas(ncum)
+         REAL xtevap_cas(niso,ncum)
+         REAL xtp_cas(niso,ncum)
+         REAL xtwater_cas(niso,ncum)
+         INTEGER izone
          ! outputs
-         real xtwater(ntraciso,ncum)
-         real xtp(ntraciso,ncum)
-         real xtevap(ntraciso,ncum)
+         REAL xtwater(ntraciso,ncum)
+         REAL xtp(ntraciso,ncum)
+         REAL xtevap(ntraciso,ncum)
 
          ! locals
-         integer il,ixt,iiso,ixt_revap
+         INTEGER il,ixt,iiso,ixt_revap
 
 
@@ -78,28 +78,28 @@
 
          ! inputs
-         integer ncas,ncum
-         integer cas(ncum)
-         real xtevap_cas(niso,ncum)
-         real xtp_cas(niso,ncum)
-         real xtwater_cas(niso,ncum)
-         integer izone
-         real Eqi_stewart(ncum)
-         real xtp_avantevap_cas(niso,ncum)
-         real fac_ftmr_cas(ncum) 
-         integer liq  
-         real hdiag(ncas)      
+         INTEGER ncas,ncum
+         INTEGER cas(ncum)
+         REAL xtevap_cas(niso,ncum)
+         REAL xtp_cas(niso,ncum)
+         REAL xtwater_cas(niso,ncum)
+         INTEGER izone
+         REAL Eqi_stewart(ncum)
+         REAL xtp_avantevap_cas(niso,ncum)
+         REAL fac_ftmr_cas(ncum)
+         INTEGER liq
+         REAL hdiag(ncas)
          
          ! outputs
-         real xtwater(ntraciso,ncum)
-         real xtp(ntraciso,ncum)
-         real xtevap(ntraciso,ncum)
+         REAL xtwater(ntraciso,ncum)
+         REAL xtp(ntraciso,ncum)
+         REAL xtevap(ntraciso,ncum)
 
          ! locals
-         integer il,ixt,iiso,ixt_revap
-         real xtaddp_tag(niso,ncum)
-#ifdef ISOVERIF
-         integer ieau,iHDO
-         real Exi_cas(niso,ncum)
-         real Exi(ntraciso,ncum)
+         INTEGER il,ixt,iiso,ixt_revap
+         REAL xtaddp_tag(niso,ncum)
+#ifdef ISOVERIF
+         INTEGER ieau,iHDO
+         REAL Exi_cas(niso,ncum)
+         REAL Exi(ntraciso,ncum)
          !USE isotopes_verif, ONLY: 
 #endif         
@@ -109,16 +109,16 @@
 
          do il=1,ncas       
-          if ((option_revap.eq.1).and. &
-              ((((liq.eq.1).and. &
+          IF ((option_revap.EQ.1).AND. &
+              ((((liq.EQ.1).AND. &
               (Eqi_stewart(il)*fac_ftmr_cas(il).gt.evap_franche) &
-              .and.(hdiag(il).lt.0.99)).or. &
-              ((liq.eq.0).and. &
-              (Eqi_stewart(il)*fac_ftmr_cas(il).ge.0.0))).or. &
-              (izone.eq.izone_revap))) THEN
-!          if ((option_revap.eq.1).and.
+              .AND.(hdiag(il).lt.0.99)).OR. &
+              ((liq.EQ.0).AND. &
+              (Eqi_stewart(il)*fac_ftmr_cas(il).ge.0.0))).OR. &
+              (izone.EQ.izone_revap))) THEN
+!          if ((option_revap.EQ.1).AND.
 !     :           (((Eqi_stewart(il)*fac_ftmr_cas(il).gt.evap_franche)
-!     :           .or.((liq.eq.0).and.
-!     :           (Eqi_stewart(il)*fac_ftmr_cas(il).ge.0.0))).or.
-!     :           (izone.eq.izone_revap))) THEN
+!     :           .OR.((liq.EQ.0).AND.
+!     :           (Eqi_stewart(il)*fac_ftmr_cas(il).ge.0.0))).OR.
+!     :           (izone.EQ.izone_revap))) THEN
             ! on met la revap dans izone_revap si option_revap=1 et si:
             ! * evap glace (non fractionnante)
@@ -127,5 +127,5 @@
             ! si option_revap=1 et izone=izone_revap, on met aussi dans izone_revap
 !#ifdef ISOVERIF            
-!            if (il.eq.1) THEN
+!            if (il.EQ.1) THEN
 !            WRITE(*,*) 'compress tmp 341: revap dans izone_revap'
 !            WRITE(*,*) 'Eqi_stewart(il),fac_ftmr_cas(il),evap_franche=',
@@ -157,6 +157,6 @@
             enddo !do iiso=1,niso
 #ifdef ISOVERIF
-            if (iso_HDO.gt.0) THEN
-                if (xtevap_cas(iso_eau,il).gt.ridicule_evap) THEN
+            IF (iso_HDO.gt.0) THEN
+                IF (xtevap_cas(iso_eau,il).gt.ridicule_evap) THEN
                     CALL iso_verif_aberrant_choix( &
                        xtevap_cas(iso_HDO,il),xtevap_cas(iso_eau,il), &
@@ -172,5 +172,5 @@
 
             ! l'évap des autres zones devient nulle
-            if (izone.ne.izone_revap) THEN
+            IF (izone.NE.izone_revap) THEN
                 do iiso=1,niso
                   ixt=index_trac(izone,iiso)
@@ -181,5 +181,5 @@
 
 !#ifdef ISOVERIF            
-!            if (il.eq.1) THEN
+!            if (il.EQ.1) THEN
 !            WRITE(*,*) 'compress tmp 341: revap dans izone_revap'
 !            WRITE(*,*) 'xtp(ixt_revap,cas(il))=',
@@ -239,13 +239,13 @@
          ! compression dans le cas condensation_facftmr
          ! inputs
-         integer nd,ncum,nloc
-         integer ncas
-         integer cas(ncum)
-         integer i
-         integer izone
+         INTEGER nd,ncum,nloc
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         INTEGER izone
          real  &
           xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
           water_cas(ncum),water(ncum)
-         real Eqi_prime_cas(ncum),Eqi_prime(ncum), &
+         REAL Eqi_prime_cas(ncum),Eqi_prime(ncum), &
           Pqisup_cas(ncum),Pqisup(ncum),  &
           Pxtisup_cas(niso,ncum),Pxtisup(ntraciso,ncum),  &
@@ -253,12 +253,12 @@
           xtp_avantevap_cas(niso,ncum),xtp_avantevap(ntraciso,ncum)
 #ifdef ISOVERIF      
-         real evap_cas(ncum),evap(ncum)
+         REAL evap_cas(ncum),evap(ncum)
 #endif         
          ! locals
-         integer il,ixt,ieau,iiso
+         INTEGER il,ixt,ieau,iiso
 
           ieau=index_trac(izone,iso_eau)
           do il=1,ncas
-            if (qp_avantevap(cas(il)).gt.0.0) THEN
+            IF (qp_avantevap(cas(il)).gt.0.0) THEN
                Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
               *(xtp_avantevap(ieau,cas(il))/qp_avantevap(cas(il)))
@@ -272,5 +272,5 @@
             endif !if (qp_avantevap_cas(cas(il)).gt.0.0) thens
             
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
@@ -326,14 +326,14 @@
          ! compression dans le cas condensation_facftmr
          ! inputs
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         integer izone
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         INTEGER izone
          real  &
           xt_cas(niso,ncum),q_cas(ncum),xt(ntraciso,ncum),q(ncum),  &
           xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
           water_cas(ncum),water(ncum)
-         real Eqi_prime_cas(ncum),Eqi_prime(ncum), &
+         REAL Eqi_prime_cas(ncum),Eqi_prime(ncum), &
           Pqisup_cas(ncum),Pqisup(ncum),  &
           Pxtisup_cas(niso,ncum),Pxtisup(ntraciso,ncum), &
@@ -341,12 +341,12 @@
           xtp_avantevap_cas(niso,ncum),xtp_avantevap(ntraciso,ncum)
 #ifdef ISOVERIF
-         real evap_cas(ncum),evap(ncum)
+         REAL evap_cas(ncum),evap(ncum)
 #endif         
          ! locals
-          integer il,ixt,ieau,iiso
+          INTEGER il,ixt,ieau,iiso
 
           ieau=index_trac(izone,iso_eau)
           do il=1,ncas
-            if (qp_avantevap(cas(il)).gt.0) THEN
+            IF (qp_avantevap(cas(il)).gt.0) THEN
               Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
                  *(xtp_avantevap(ieau,cas(il))/qp_avantevap(cas(il)))
@@ -356,5 +356,5 @@
             endif
             
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
               water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
@@ -410,23 +410,23 @@
 
          ! compression dans le cas condensation_facftmr
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         integer izone
-         real xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         INTEGER izone
+         REAL xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum), &
           water_cas(ncum),water(ncum)
-         real Pqisup_cas(ncum),Pqisup(ncum),  &
+         REAL Pqisup_cas(ncum),Pqisup(ncum),  &
           Pxtisup_cas(niso,ncum),Pxtisup(ntraciso,ncum),   &
           xtp_avantevap_cas(niso,ncum),xtp_avantevap(ntraciso,ncum)
 #ifdef ISOVERIF        
-        real evap_cas(ncum),evap(ncum)
+        REAL evap_cas(ncum),evap(ncum)
 #endif 
-         integer il,ixt,ieau,iiso
+         INTEGER il,ixt,ieau,iiso
 
           ieau=index_trac(izone,iso_eau)
           do il=1,ncas
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))
-            if (Pqisup(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
@@ -478,22 +478,22 @@
          ! compression dans le cas condensation_facftmr
         ! inputs et outputs 
-         integer iflag_con
-         integer izone    
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
+         INTEGER iflag_con
+         INTEGER izone
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
 !         integer i
-         real xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum)
-         real xtp_avantevap_cas(niso,ncum), &
+         REAL xtevapsup_cas(niso,ncum),xtevap(ntraciso,ncum)
+         REAL xtp_avantevap_cas(niso,ncum), &
                  xtp_avantevap(ntraciso,ncum)
-         real water_cas(ncum),water(ncum)
-         real xtp_avantevaptrac_cas(niso,ncum), &
+         REAL water_cas(ncum),water(ncum)
+         REAL xtp_avantevaptrac_cas(niso,ncum), &
                  qp_avantevaptrac_cas(ncum)
-         real ptrac(ncum)
+         REAL ptrac(ncum)
 !         real qp_cas(ncum)
 #ifdef ISOVERIF           
-         real evap_cas(ncum),evap(ncum)
+         REAL evap_cas(ncum),evap(ncum)
 #endif         
-         real &
+         REAL &
           Eqi_stewart(ncum),Pqiinf_stewart(ncum),Eqi_prime_cas(ncum), &
           Pqiinf(ncum),Eqi_par(ncum),Pqiinf_par(ncum), &
@@ -502,5 +502,5 @@
           Eqi(ncum),Eqi_cas(ncum)
          ! locals
-          integer il,ixt,iiso,ieau
+          INTEGER il,ixt,iiso,ieau
 
 !          WRITE(*,*) 'compress 910: xtp_avantevap(iso_eau,cas(1))=',
@@ -513,5 +513,5 @@
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))
 
-            if (Pqisup(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il)).gt.0.0) THEN
               ptrac(il)=Pxtisup(ieau,cas(il))/Pqisup(cas(il))
               Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
@@ -526,5 +526,5 @@
             endif
 
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
@@ -570,6 +570,6 @@
       !    Eqi_prime sont les même que Eqi_par
           do il=1,ncas  
-           if (Pqisup(cas(il)).gt.0.0) THEN
-            if ((water(cas(il)).gt.ridicule/100).and. &
+           IF (Pqisup(cas(il)).gt.0.0) THEN
+            IF ((water(cas(il)).gt.ridicule/100).AND. &
                   (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
@@ -578,13 +578,13 @@
              Pqiinf_stewart(il)=Pqiinf(cas(il))*ptrac(il)
              Eqi_stewart(il)=Eqi_par(cas(il)) *ptrac(il)
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+           else !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il))*ptrac(il)
-             if (iflag_con.eq.30) THEN
+             IF (iflag_con.EQ.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il))*ptrac(il)
              else
                 Eqi_stewart(il)=Eqi(cas(il))*ptrac(il)
              endif
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+           endif !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
           else ! if (Pqisup(cas(il).gt.0.0) THEN
 #ifdef ISOVERIF
@@ -606,6 +606,6 @@
 #ifdef ISOVERIF        
         do il=1,ncas
-          if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+          IF ((abs(water_cas(il)).ge.ridicule/10.) &
+                 .AND.(Pqiinf_stewart(il).le.0.0)) THEN
               WRITE(*,*) 'compress_stewart 498: evap liq:'
               WRITE(*,*) 'water(il,i)=', water_cas(il)
@@ -643,10 +643,10 @@
 
          ! compression dans le cas condensation_facftmr
-         integer iflag_con         
-         integer nloc,nd,ncum
-         integer ncas
-         integer cas(ncum)
-         integer i
-         integer izone
+         INTEGER iflag_con
+         INTEGER nloc,nd,ncum
+         INTEGER ncas
+         INTEGER cas(ncum)
+         INTEGER i
+         INTEGER izone
          real  &
           water_cas(ncum),water(ncum), &
@@ -654,5 +654,5 @@
 !         real qp_cas(ncum)    
 #ifdef ISOVERIF           
-         real evap_cas(ncum),evap(ncum)
+         REAL evap_cas(ncum),evap(ncum)
 #endif         
          real  &
@@ -664,9 +664,9 @@
           Eqi(ncum),Eqi_cas(ncum)
 
-         real xtp_avantevaptrac_cas(niso,ncum), &
+         REAL xtp_avantevaptrac_cas(niso,ncum), &
                  qp_avantevaptrac_cas(ncum)
-          integer frac_sublim
+          INTEGER frac_sublim
           ! locals
-          integer il,ixt,ieau,iiso
+          INTEGER il,ixt,ieau,iiso
 
           ieau=index_trac(izone,iso_eau)
@@ -674,5 +674,5 @@
             Pqisup_cas(il)=Pxtisup(ieau,cas(il))  
 
-            if (Pqisup(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il)).gt.0.0) THEN
               Eqi_prime_cas(il)=Eqi_prime(cas(il)) &
                  *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
@@ -689,5 +689,5 @@
             endif
 
-            if (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
+            IF (Pqisup(cas(il))-Eqi_prime(cas(il)).gt.0.0) THEN
                water_cas(il)=water(cas(il)) &
                  *((Pxtisup(ieau,cas(il))-Eqi_prime_cas(il)) &
@@ -728,6 +728,6 @@
       !    Eqi_prime sont les même que Eqi_par
           do il=1,ncas  
-           if (Pqisup(cas(il)).gt.0.0) THEN
-            if ((water(cas(il)).gt.ridicule/100).and. &
+           IF (Pqisup(cas(il)).gt.0.0) THEN
+            IF ((water(cas(il)).gt.ridicule/100).AND. &
                   (Pqiinf_par(cas(il)).le.0.0)) THEN
              ! on ne peut pas utiliser la méthode 1, car KE prédit de l'eau
@@ -738,9 +738,9 @@
              Eqi_stewart(il)=Eqi_par(cas(il)) &
                 *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
-           else !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+           else !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
              ! il n'y a pas d'obstacles à l'utilisation de 1)
              Pqiinf_stewart(il)=Pqiinf_par(cas(il)) &
                   *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
-             if (iflag_con.eq.30) THEN
+             IF (iflag_con.EQ.30) THEN
                 Eqi_stewart(il)=Eqi_prime(cas(il)) &
                   *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
@@ -749,5 +749,5 @@
                   *(Pxtisup(ieau,cas(il))/Pqisup(cas(il)))
              endif
-           endif !if ((water(il,i).gt.ridicule/100).and.(Pqiinf_par.le.0.0)) THEN
+           endif !if ((water(il,i).gt.ridicule/100).AND.(Pqiinf_par.le.0.0)) THEN
           else !if (Pqisup(cas(il).gt.0.0) THEN
 #ifdef ISOVERIF
@@ -769,6 +769,6 @@
 #ifdef ISOVERIF        
         do il=1,ncas
-          if ((abs(water_cas(il)).ge.ridicule/10.) &
-                 .and.(Pqiinf_stewart(il).le.0.0)) THEN
+          IF ((abs(water_cas(il)).ge.ridicule/10.) &
+                 .AND.(Pqiinf_stewart(il).le.0.0)) THEN
               WRITE(*,*) 'compress_stewart 498: evap glace:'
               WRITE(*,*) 'water(il,i)=', water_cas(il)
@@ -792,5 +792,5 @@
     USE isotrac_mod, ONLY: option_revap,evap_franche
 #ifdef ISOVERIF
-        use isotopes_verif_mod
+        USE isotopes_verif_mod
 #endif
 
@@ -798,22 +798,22 @@
 
         ! inputs         
-         integer ncas
-         integer cas(ncas)
-         integer klon
-         integer izone                  
-         real zxt_cas(niso,ncas),zxtrfln_cas(niso,ncas)
-         real Exi(niso,ncas)
-         real Eqi(ncas)
-         real fac_ftmr(ncas)
-         integer liq
-         real hdiag(ncas)
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon
+         INTEGER izone
+         REAL zxt_cas(niso,ncas),zxtrfln_cas(niso,ncas)
+         REAL Exi(niso,ncas)
+         REAL Eqi(ncas)
+         REAL fac_ftmr(ncas)
+         INTEGER liq
+         REAL hdiag(ncas)
 
          ! output
-         real zxt(ntraciso,klon)
-         real zxtrfl(ntraciso,klon),zxtrfln(ntraciso,klon)
-         real xtrevap_tag(ntraciso,ncas)
+         REAL zxt(ntraciso,klon)
+         REAL zxtrfl(ntraciso,klon),zxtrfln(ntraciso,klon)
+         REAL xtrevap_tag(ntraciso,ncas)
 
          ! locals
-         integer il,ixt,iiso
+         INTEGER il,ixt,iiso
 
 !         WRITE(*,*) 'uncompress_stewart 1420 tmp: zxt=',
@@ -828,5 +828,5 @@
           enddo !do iiso=1,niso
 !#ifdef ISOVERIF
-!          if (il.eq.9) THEN
+!          if (il.EQ.9) THEN
 !            WRITE(*,*) 'uncompress 1521'
 !            WRITE(*,*) 'il,Eqi,fac_ftmr,evap_franche,Exi(2,il)=',
@@ -835,8 +835,8 @@
 !#endif
 
-          if ((option_revap.eq.1).and. &
-               (((liq.eq.1).and.(Eqi(il)*fac_ftmr(il).gt.evap_franche) &
-               .and.(hdiag(il).lt.0.99)).or. &
-               ((liq.eq.0).and. &
+          IF ((option_revap.EQ.1).AND. &
+               (((liq.EQ.1).AND.(Eqi(il)*fac_ftmr(il).gt.evap_franche) &
+               .AND.(hdiag(il).lt.0.99)).OR. &
+               ((liq.EQ.0).AND. &
                (Eqi(il)*fac_ftmr(il).ge.0.0)))) THEN
           ! le flux d'évap va dans un tag particulier
@@ -849,5 +849,5 @@
              enddo !do iiso=1,niso
                 
-          else !if ((Eqi(il)*fac_ftmr(il).gt.evap_franche).and.
+          else !if ((Eqi(il)*fac_ftmr(il).gt.evap_franche).AND.
             ! reequilibration standard
             do iiso=1,niso
@@ -862,5 +862,5 @@
 #endif              
             enddo ! do iiso=1,niso           
-          endif !if ((Eqi(il)*fac_ftmr(il).gt.evap_franche).and.
+          endif !if ((Eqi(il)*fac_ftmr(il).gt.evap_franche).AND.
          enddo !do il=1,ncas
 !         WRITE(*,*) 'compress_stewart 1453 tmp: zxt=',
@@ -885,25 +885,25 @@
 
         ! inputs         
-         integer ncas
-         integer cas(ncas)
-         integer klon
-         real zxt(ntraciso,klon)
-         real zxtrfl(ntraciso,klon)
-         real zrfl_ancien(klon)
-         real zqev_diag(klon)
-         real zrfln(klon)
-         real zxtrfl_ancien(ntraciso,klon)
-         integer izone
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon
+         REAL zxt(ntraciso,klon)
+         REAL zxtrfl(ntraciso,klon)
+         REAL zrfl_ancien(klon)
+         REAL zqev_diag(klon)
+         REAL zrfln(klon)
+         REAL zxtrfl_ancien(ntraciso,klon)
+         INTEGER izone
 
          ! outputs
-         real zxt_cas(niso,ncas)         
-         real zxtrfl_cas(niso,ncas)         
-         real zqev_diag_cas(ncas)
-         real zrfln_cas(ncas)         
-         real zrfl_cas(ncas)
-         real ptrac(ncas)
+         REAL zxt_cas(niso,ncas)
+         REAL zxtrfl_cas(niso,ncas)
+         REAL zqev_diag_cas(ncas)
+         REAL zrfln_cas(ncas)
+         REAL zrfl_cas(ncas)
+         REAL ptrac(ncas)
          
          ! locals
-         integer il,ixt,ieau,iiso
+         INTEGER il,ixt,ieau,iiso
 
          ieau=index_trac(izone,iso_eau)
@@ -918,5 +918,5 @@
           zrfl_cas(il)=zxtrfl_ancien(ieau,cas(il))
 
-          if (zrfl_ancien(cas(il)).gt.0.0) THEN
+          IF (zrfl_ancien(cas(il)).gt.0.0) THEN
           ! proportion de izone dans l'évap = celle dans la goutte          
             ptrac(il)=zxtrfl_ancien(ieau,cas(il))/zrfl_ancien(cas(il))
@@ -924,5 +924,5 @@
             zqev_diag_cas(il)=zqev_diag(cas(il))*ptrac(il)
 !#ifdef ISOVERIF              
-!            if (il.eq.9) THEN
+!            if (il.EQ.9) THEN
 !              WRITE(*,*) 'compress tmp: il, ptrac=',il,ptrac(il)
 !              WRITE(*,*) 'ieau,zxtrfl_ancien(ieau,cas(il))=',
@@ -966,5 +966,5 @@
     USE isotopes_mod, ONLY: ridicule,iso_eau
 #ifdef ISOVERIF
-        use isotopes_verif_mod
+        USE isotopes_verif_mod
 #endif
 
@@ -972,24 +972,24 @@
 
         ! inputs         
-         integer ncas
-         integer cas(ncas)
-         integer klon
-         real zxt(ntraciso,klon)
-         real zxtrfl_ancien(ntraciso,klon)
-         real zqev_diag(klon)
-         real zrfln(klon)
-         integer izone
-         real zrfl_ancien(klon)
+         INTEGER ncas
+         INTEGER cas(ncas)
+         INTEGER klon
+         REAL zxt(ntraciso,klon)
+         REAL zxtrfl_ancien(ntraciso,klon)
+         REAL zqev_diag(klon)
+         REAL zrfln(klon)
+         INTEGER izone
+         REAL zrfl_ancien(klon)
 
          ! outputs
-         real zxt_cas(niso,ncas)         
-         real zxtrfl_cas(niso,ncas)         
-         real zqev_diag_cas(ncas)
-         real zrfln_cas(ncas)         
-         real zrfl_cas(ncas)
+         REAL zxt_cas(niso,ncas)
+         REAL zxtrfl_cas(niso,ncas)
+         REAL zqev_diag_cas(ncas)
+         REAL zrfln_cas(ncas)
+         REAL zrfl_cas(ncas)
          
          
          ! locals
-         integer il,ixt,ieau,iiso     
+         INTEGER il,ixt,ieau,iiso
 
          ieau=index_trac(izone,iso_eau)
@@ -1002,5 +1002,5 @@
           zrfl_cas(il)=zxtrfl_ancien(ieau,cas(il))
 
-          if (zrfl_ancien(cas(il)).gt.0.0) THEN
+          IF (zrfl_ancien(cas(il)).gt.0.0) THEN
              zrfln_cas(il)=zrfln(cas(il)) &
                  *(zxtrfl_ancien(ieau,cas(il))/zrfl_ancien(cas(il)))
@@ -1039,15 +1039,15 @@
 
       ! input
-      integer ncas
-      integer cas(ncas)
-      integer klon
-      integer izone      
-      real xtrevap_tag(ntraciso,ncas)
+      INTEGER ncas
+      INTEGER cas(ncas)
+      INTEGER klon
+      INTEGER izone
+      REAL xtrevap_tag(ntraciso,ncas)
 
       ! inout
-      real zxt(ntraciso,klon)
+      REAL zxt(ntraciso,klon)
 
       ! local
-      integer i,ixt,iiso,ixt_revap
+      INTEGER i,ixt,iiso,ixt_revap
 !#ifdef ISOVERIF      
 !      integer iso_verif_positif_choix_nostop
@@ -1071,6 +1071,6 @@
                    +xtrevap_tag(ixt,i)
 #ifdef ISOVERIF
-               if (iso_verif_positif_choix_nostop(zxt(ixt_revap,cas(i)), &
-                         0.0,'ajoute_revap 46').eq.1) THEN
+               IF (iso_verif_positif_choix_nostop(zxt(ixt_revap,cas(i)), &
+                         0.0,'ajoute_revap 46').EQ.1) THEN
                   WRITE(*,*) 'i,iiso,izone,ixt=',i,iiso,izone,ixt
                   WRITE(*,*) 'xtrevap_tag(ixt,i)=',xtrevap_tag(ixt,i)
@@ -1109,13 +1109,13 @@
 
       ! input
-      integer bassin
-      real lat,lon
+      INTEGER bassin
+      REAL lat,lon
 
       ! outut
-      logical is_in_bassin
+      LOGICAL is_in_bassin
 
       ! locals
-      !logical is_in_rectangle
-      !logical is_in_triangle
+      !LOGICAL is_in_rectangle
+      !LOGICAL is_in_triangle
       
       is_in_bassin=.FALSE.
@@ -1123,29 +1123,29 @@
       WRITE(*,*) 'is_in_basin 84: entree,bassin=',bassin
 #endif
-      if (use_bassin_atlantic .and. bassin==bassin_atlantic) THEN
+      IF (use_bassin_atlantic .AND. bassin==bassin_atlantic) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin Atlantique?'
 #endif          
-          if (is_in_rectangle(lon,lat,-67.0,28.0,20.0,-45.0)) THEN
+          IF (is_in_rectangle(lon,lat,-67.0,28.0,20.0,-45.0)) THEN
             ! boite sud
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_rectangle(lon,lat,-100.0,40.0,-5.3,28.0)) THEN
+          IF (is_in_rectangle(lon,lat,-100.0,40.0,-5.3,28.0)) THEN
             ! ouest gibraltar    
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_rectangle(lon,lat,-100.0,48.0,0.0,40.0)) THEN
+          IF (is_in_rectangle(lon,lat,-100.0,48.0,0.0,40.0)) THEN
             ! Ouest France
             is_in_bassin=.TRUE.
             RETURN
           endif 
-          if (is_in_rectangle(lon,lat,-90.0,80.0,10.0,46.0)) THEN
+          IF (is_in_rectangle(lon,lat,-90.0,80.0,10.0,46.0)) THEN
             ! Atlantic Nord
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_triangle(lon,lat, &
+          IF (is_in_triangle(lon,lat, &
                  -62.0,0.0,-62.0,30.0,-112.0,30.0)) THEN
             ! golfe du Mexique
@@ -1154,26 +1154,26 @@
           endif
 
-      else if (use_bassin_medit .and. bassin==bassin_medit) THEN
+      ELSE IF (use_bassin_medit .AND. bassin==bassin_medit) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin Medit?'
 #endif          
-          if (is_in_rectangle(lon,lat,0.0,48.0,45.0,29.0)) THEN
+          IF (is_in_rectangle(lon,lat,0.0,48.0,45.0,29.0)) THEN
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_rectangle(lon,lat,-5.3,42.0,45.0,29.0)) THEN
+          IF (is_in_rectangle(lon,lat,-5.3,42.0,45.0,29.0)) THEN
             is_in_bassin=.TRUE.
             RETURN
           endif
 
-      else if (use_bassin_indian .and. bassin==bassin_indian) THEN
+      ELSE IF (use_bassin_indian .AND. bassin==bassin_indian) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin indian?'
 #endif           
-          if (is_in_rectangle(lon,lat,20.0,30.0,110.0,-45.0)) THEN
+          IF (is_in_rectangle(lon,lat,20.0,30.0,110.0,-45.0)) THEN
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_triangle(lon,lat, &
+          IF (is_in_triangle(lon,lat, &
                  90.0,30.0,90.0,-45.0,150.0,-45.0)) THEN
             ! Ouest Australie
@@ -1182,51 +1182,51 @@
           endif   
 
-      else if (use_bassin_SouthIndian .and. bassin==bassin_SouthIndian) THEN
+      ELSE IF (use_bassin_SouthIndian .AND. bassin==bassin_SouthIndian) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin indian hemisphere Sud?'
 #endif           
-          if (is_in_rectangle(lon,lat,20.0,0.0,120.0,-45.0)) THEN
+          IF (is_in_rectangle(lon,lat,20.0,0.0,120.0,-45.0)) THEN
             is_in_bassin=.TRUE.
             RETURN
           endif
           
-      else if (use_bassin_MerArabie .and. bassin==bassin_MerArabie) THEN
+      ELSE IF (use_bassin_MerArabie .AND. bassin==bassin_MerArabie) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin Mer d''Arabie?'
 #endif           
-          if (is_in_rectangle(lon,lat,20.0,30.0,76.0,0.0)) THEN
+          IF (is_in_rectangle(lon,lat,20.0,30.0,76.0,0.0)) THEN
             is_in_bassin=.TRUE.
             RETURN
           endif 
 
-      else if (use_bassin_BengalGolf .and. bassin==bassin_BengalGolf) THEN
+      ELSE IF (use_bassin_BengalGolf .AND. bassin==bassin_BengalGolf) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin Golfe du Bengale?'
 #endif           
-          if (is_in_rectangle(lon,lat,76.0,30.0,110.0,0.0)) THEN
+          IF (is_in_rectangle(lon,lat,76.0,30.0,110.0,0.0)) THEN
             is_in_bassin=.TRUE.
             RETURN
           endif         
 
-      else if (use_bassin_pacific .and. bassin==bassin_pacific) THEN
+      ELSE IF (use_bassin_pacific .AND. bassin==bassin_pacific) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin Pacific?'
 #endif          
-         if (is_in_rectangle(lon,lat,-180.0,80.0,-100.0,-45.0)) THEN
+         IF (is_in_rectangle(lon,lat,-180.0,80.0,-100.0,-45.0)) THEN
              ! pacifique Est
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_rectangle(lon,lat,110.0,80.0,180.0,28.0)) THEN
+          IF (is_in_rectangle(lon,lat,110.0,80.0,180.0,28.0)) THEN
             ! Pacifique Nord Ouest
             is_in_bassin=.TRUE.
             RETURN
           endif 
-          if (is_in_rectangle(lon,lat,120.0,80.0,180.0,-45.0)) THEN
+          IF (is_in_rectangle(lon,lat,120.0,80.0,180.0,-45.0)) THEN
             ! Pacifique central Sud
             is_in_bassin=.TRUE.
             RETURN
           endif
-          if (is_in_triangle(lon,lat, &
+          IF (is_in_triangle(lon,lat, &
                   90.0,28.0,150.0,-45.0,150.0,28.0)) THEN
             ! Pacifque Sud Ouest
@@ -1234,5 +1234,5 @@
             RETURN
           endif
-          if (is_in_triangle(lon,lat, &
+          IF (is_in_triangle(lon,lat, &
                   -62.0,0.0,-112.0,30.0,-112.0,0.0)) THEN
             ! Ouest Amérique centrale
@@ -1240,5 +1240,5 @@
             RETURN
           endif
-          if (is_in_rectangle(lon,lat,-180.0,0.0,-67.0,-45.0)) THEN
+          IF (is_in_rectangle(lon,lat,-180.0,0.0,-67.0,-45.0)) THEN
             ! Ouest Chili
             is_in_bassin=.TRUE.
@@ -1246,36 +1246,36 @@
           endif
 
-      else if (use_bassin_austral .and. bassin==bassin_austral) THEN
+      ELSE IF (use_bassin_austral .AND. bassin==bassin_austral) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin austral?'
 #endif           
-          if (lat.lt.-45.0+0.2) THEN
+          IF (lat.lt.-45.0+0.2) THEN
                 is_in_bassin=.TRUE.
                 return    
           endif  
 
-      else if (use_bassin_HighLats .and. bassin==bassin_HighLats) THEN
+      ELSE IF (use_bassin_HighLats .AND. bassin==bassin_HighLats) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin hautes lats?'
 #endif           
-          if (abs(lat).gt.35.0) THEN
+          IF (abs(lat).gt.35.0) THEN
                 is_in_bassin=.TRUE.
                 return    
           endif
 
-      else if (use_bassin_tropics .and. bassin==bassin_tropics) THEN
+      ELSE IF (use_bassin_tropics .AND. bassin==bassin_tropics) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin tropics?'
 #endif           
-          if (abs(lat).lt.15.0) THEN
+          IF (abs(lat).lt.15.0) THEN
                 is_in_bassin=.TRUE.
                 return    
           endif
 
-       else if (use_bassin_midlats .and. bassin==bassin_midlats) THEN
+       ELSE IF (use_bassin_midlats .AND. bassin==bassin_midlats) THEN
 #ifdef ISOVERIF           
           WRITE(*,*) 'bassin mid lats?'
 #endif           
-          if ((abs(lat).ge.15.0).and. &
+          IF ((abs(lat).ge.15.0).AND. &
                  (abs(lat).le.35.0)) THEN
                 is_in_bassin=.TRUE.
